<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */


class VisitenkartenWeb extends \Datamodul
{
  public $tnr;
  public $anrede;
  public $name;
  public $vorname;
  public $namevorname;
  public $firma;
  public $firma2;
  public $firma_url;
  public $strasse;
  public $plz;
  public $ort;
  public $nation;
  public $bundesland;
  public $telefon;
  public $email;
  public $aktiv;

  
  public $fachgebiete = array();

  
  public $alle;

  public function getTyp($pFieldName)
  {
    switch ($pFieldName) {
      default:
        return parent::getTyp($pFieldName);
      case 'tnr':
        return \DatamodulVarType::TYPE_INT;
      case 'aktiv':
        return \DatamodulVarType::TYPE_BOOL_WF;
      case 'fachgebiete':
        return \DatamodulVarType::TYPE_ARRAY;
    }
  }

  
  public function sachgebietExists($pSachgebietId)
  {
    foreach ($this->fachgebiete as $fachgebiet) {
      if ($pSachgebietId == $fachgebiet->sachg) {
        return true;
      }
    }

    return false;
  }

  public function setFachgebiete($pSachgebietIds)
  {
    $fachgebiete = array();
    foreach ($pSachgebietIds as $id) {
      $fachgebiet = new \FachgebieteVisitenkartenWeb();
      $fachgebiet->sachg = $id;
      $fachgebiet->web_visitenkarte_id = $this->id;
      $fachgebiete[] = $fachgebiet;
    }
    $this->fachgebiete = $fachgebiete;
  }
}